Come posso installare il driver PDO mysql in Ubuntu 10.04 e PHP 5.3.2

Ho cercato di installare il driver PDO mysql con questo command:

$ sudo pecl install pdo_mysql 

ma ho il seguente errore:

 WARNING: "pecl/PDO_MYSQL" is deprecated in favor of "channel://http://svn.php.net/viewvc/php/php-src/trunk/ext/pdo_mysql//ext/pdo_mysql" WARNING: "pecl/PDO" is deprecated in favor of "channel://http://svn.php.net/viewvc/php/php-src/trunk/ext/pdo//ext/PDO" downloading PDO_MYSQL-1.0.2.tgz ... Starting to download PDO_MYSQL-1.0.2.tgz (14,778 bytes) .....done: 14,778 bytes downloading PDO-1.0.3.tgz ... Starting to download PDO-1.0.3.tgz (52,613 bytes) ...done: 52,613 bytes 12 source files, building running: phpize sh: phpize: not found ERROR: `phpize' failed 7 source files, building running: phpize sh: phpize: not found ERROR: `phpize' failed 

Qualcuno sa come installare i driver PDO in Ubuntu 10.04?

Grazie

  • Ottimizzazione della memory del server VPS
  • Come aggiornare PHP sul mio server?
  • Differenze e dis / avanzamenti tra: Fast-CGI, CGI, Mod-PHP, SuPHP, PHP-FPM
  • L'intestazione HSTS non viene inviata anche se la regola è presente e mod_headers è abilitata
  • imansible spegnere expose_php in ubuntu 14.04 con nginx e php-fpm
  • Come influisce la complessità della directory sui i-nodes?
  • PEAR Installer non aggiorna
  • Può Vernice / Nginx cache e memorizzare pagine PHP dopo l'utente visitato?
  • 4 Solutions collect form web for “Come posso installare il driver PDO mysql in Ubuntu 10.04 e PHP 5.3.2”

    Alless in ubuntu 11.04 e kubuntu 11.04 mysql, mysqli e pdo_mysql sono inclusi nel pacchetto php5-mysql.

    Suppongo che questo sia anche il caso per il 10.04

    Non si desidera installare PDO o PDO_MySQL tramite pecl. DOP è stato spostato nel core PHP in 5.1.0 e le estensioni nel repository PECL sono abbastanza vecchie. È ansible trovare l'estensione pdo_mysql nel pacchetto php5-mysql (apt-get install php5-mysql).

    Se è necessario installare le estensioni utilizzando pecl, l'errore che stai vedendo indica che phpize non è installato. Questo può essere trovato nel pacchetto php5-dev.

    Le classi PDO per PHP sono tutte disponibili in Apitude. usare sudo aptitude quindi premere / e digitare il PDO se si desidera utilizzare la GUI (sono pigro, quasi sempre)

    Se non lo fai solo con questo

     apt-get install php-mysql 

    puoi provare questo

     apt-get install php-pear php5-dev libmysqlclient15-dev pecl install pdo pecl install pdo_mysql 

    Ho trovato googling è l'unico che funziona bene per me

    Suggerimenti per Linux e Windows Server, quali Ubuntu, Centos, Apache, Nginx, Debian e argomenti di rete.